require 'net/http'
require 'json'
require 'openssl'

module Pod
  class Command
    class Jyanalyzer
      class Depend < Jyanalyzer
        include RepoUpdate
        include ProjectDirectory

      self.summary = '本地使用：查看app依赖关系,pod jyanalyzer depend'
      
      self.arguments = [
        CLAide::Argument.new('POD_NAMES', false, true),
      ]
      def initialize(argv)
        @pods = argv.arguments!
        super
      end
      def run

        verify_podfile_exists!
        installer = installer_for_config
        installer.repo_update = repo_update?(:default => true)
        UI.puts 'Update all pods'.yellow
        installer.update = true
        installer.prepare
        installer.resolve_dependencies
        pod_targets = installer.pod_targets;

        Pod::UI.puts '查看app依赖关系,pod jyanalyzer depend'

        text = recursion_dependencies(pod_targets,0)
        Pod::UI.puts text

        f=File.new("dependencies.lock","w+")
        f.puts(text)
        f.close


      end

      def recursion_dependencies(pod_targets,index)
        if index == 2 
            return ""
        end
        text = ""
        dependent_targets = Array.new

        if pod_targets.is_a? Array
            dependent_targets = pod_targets
        else
            dependent_targets = pod_targets.dependent_targets
        end

        dependent_targets.each do |item|

            $i = 0
            $num = index
            while $i < $num  do
                if $i == $num -1
                    text = text + "- "
                else
                    text = text + "  "
                end
                
                $i +=1
             end

            text = text + item.pod_name + "(" + item.version + ")" + "\n"
            
            if !item.dependent_targets.empty?
                text = text + recursion_dependencies(item.dependent_targets,index + 1)
            end
            if index == 0
                text = text + "\n"
            end
        end

        return text

      end
      end
    end
  end
end


