require 'net/http'
require 'json'
require 'openssl'

module Pod
  class Command
    class Jyanalyzer
      class List < Jyanalyzer
        include RepoUpdate
        include ProjectDirectory

      self.summary = '本地使用：查看app依赖库名列表,pod jyanalyzer list'
      
      self.arguments = [
        CLAide::Argument.new('POD_NAMES', false, true),
      ]
      def initialize(argv)
        @pods = argv.arguments!
        super
      end
      def run

        verify_podfile_exists!
        installer = installer_for_config
        installer.repo_update = repo_update?(:default => true)
        UI.puts 'Update all pods'.yellow
        installer.update = true
        installer.prepare
        installer.resolve_dependencies
        pod_targets = installer.pod_targets;

        Pod::UI.puts '查看app依赖库名列表,pod jyanalyzer list'

        text = recursion_dependencies(pod_targets)
        Pod::UI.puts text

        f=File.new("dependencies.json","w+")
        f.puts(JSON.pretty_generate(text))
        f.close

      end

      def recursion_dependencies(pod_targets)
        text = {}
        dependent_targets = pod_targets
        dependent_targets.each do |item|
            text[item.pod_name]=item.version
        end
        return text

      end
      end
    end
  end
end


